# ChoicesField é um CharField com choices
props_dict = {
    # Admin props
    "list_display": [
        "BigAutoField",
        "BooleanField",
        "CharField",
        "DateField",
        "DateTimeField",
        "DecimalField",
        "ForeignKey",
        "OneToOneField",
        "IntegerField",
        "PositiveIntegerField",
        "ChoicesField",
        "SlugField",
    ],
    "search_fields": [
        "BigAutoField",
        "CharField",
        "DateField",
        "DateTimeField",
        "DecimalField",
        "IntegerField",
        "PositiveIntegerField",
        "ChoicesField",
        "SlugField",
    ],
    "list_filter": [
        "BooleanField",
        "DateField",
        "DateTimeField",
        "ForeignKey",
        "ChoicesField",
        "DecimalField",
        "IntegerField",
        "PositiveIntegerField",
    ],
    "autocomplete_fields": [
        "OneToOneField",
        "ForeignKey",
    ],
    "list_select_related": [
        "OneToOneField",
        "ForeignKey",
    ],
    "filter_horizontal": [
        "ManyToManyField",
    ],
    "advanced_filter_fields": [
        "BigAutoField",
        "BooleanField",
        "CharField",
        "DateField",
        "DateTimeField",
        "DecimalField",
        "ForeignKey",
        "OneToOneField",
        "IntegerField",
        "PositiveIntegerField",
        "ChoicesField",
        "SlugField",
    ],
    # Generic props
    "foreign_keys": [
        "ForeignKey",
    ],
    "dates": [
        "DateField",
        "DateTimeField",
    ],
    "numerics": [
        "DecimalField",
        "IntegerField",
        "PositiveIntegerField",
    ],
    "many_to_many": [
        "ManyToManyField",
    ],
    # Viewset props
    "filterset_fields": [
        "BigAutoField",
        "CharField",
        "SlugField",
        "DecimalField",
        "IntegerField",
        "PositiveIntegerField",
        "ChoicesField",
        "BooleanField",
        "DateField",
        "DateTimeField",
        "OneToOneField",
        "ForeignKey",
    ],
    "ordering_fields": [
        "BigAutoField",
        "CharField",
        "SlugField",
        "DateField",
        "DateTimeField",
        "DecimalField",
        "IntegerField",
        "PositiveIntegerField",
        "BooleanField",
        "OneToOneField",
        "ForeignKey",
        "ChoicesField",
    ],
    # Viewset sub props
    "BigAutoField": [
        "exact",
        "in",
        "gt",
        "gte",
        "lt",
        "lte",
        "range",
    ],
    "CharField": [
        "exact",
        "in",
        "icontains",
        "isnull",
    ],
    "SlugField": [
        "exact",
        "in",
        "icontains",
        "isnull",
    ],
    "DateField": [
        "exact",
        "in",
        "gt",
        "gte",
        "lt",
        "lte",
        "range",
        "isnull",
    ],
    "DateTimeField": [
        "exact",
        "in",
        "gt",
        "gte",
        "lt",
        "lte",
        "range",
        "isnull",
    ],
    "DecimalField": [
        "exact",
        "in",
        "gt",
        "gte",
        "lt",
        "lte",
        "range",
        "isnull",
    ],
    "IntegerField": [
        "exact",
        "in",
        "gt",
        "gte",
        "lt",
        "lte",
        "range",
        "isnull",
    ],
    "PositiveIntegerField": [
        "exact",
        "in",
        "gt",
        "gte",
        "lt",
        "lte",
        "range",
        "isnull",
    ],
    "ChoicesField": [
        "exact",
        "in",
        "icontains",
        "isnull",
    ],
    "BooleanField": [
        "exact",
    ],
    "ForeignKey": [
        "exact",
        "isnull",
    ],
    "OneToOneField": [
        "exact",
        "isnull",
    ],
    "ManyToManyField": [
        "exact",
        "in",
        "isnull",
    ],
    # Especific props
    "choices_fields": [
        "ChoicesField",
    ],
}
